# TourPlaner

Package tourplaner.business

## Class TourPlaner

- java.lang.Object
- - tourplaner.business.TourPlaner

    public class TourPlaner
    extends java.lang.Object

Haupt Logik des Tourplaners

### Constructor Summary

Constructors
`TourPlaner()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `addLog​(java.lang.String tourname, Log log)` Fügt ein Log hinzu
`static boolean` `addTour​(Tour newTour, ProgressBar progressBar)` Fügt eine Tour hinzu
`static boolean` `delLog​(java.lang.String tourname, java.lang.String id)` Löscht ein Log
`static boolean` `delTour​(java.lang.String tourname)` Löscht eine Tour
`static void` `doReport​(java.lang.String tourname)` Führt einen Rport aus
`static boolean` `editLog​(java.lang.String tourname, Log log)` Editiert ein Log
`static boolean` `editTour​(java.lang.String oldname, Tour tour)` Bearbeitet eine Tour
`static java.util.ArrayList<Tour>` `getAllTours()` Holt alle touren aus der DB
`static java.awt.Image` `getImage​(java.lang.String tourname)` Holt das Gui Bild
`static java.lang.String` `getImagePath​(java.lang.String tourname)` Path zu dem Bild für die GUI
`static java.lang.String` `getImagePdfPath​(java.lang.String tourname)` Path zu dem Bild für die PDF
`static java.util.ArrayList<Log>` `getLogs​(java.lang.String tourname)` Holt alle Logs einer Tour
`static Tour` `getTour​(java.lang.String tourname)` Holt eine Tour
`static void` `init()` Erstellt alle DB Tabellen falls nötig
`static void` `openImage​(java.lang.String tourname)` Öffnet ein Bild einer Tour
`static java.util.ArrayList<Tour>` `sucheTour​(java.lang.String tourname)` Sucht alle touren die den gegebenen tournamen enthalten

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TourPlaner

    public TourPlaner()

### Method Detail

#### init

    public static void init()

Erstellt alle DB Tabellen falls nötig

#### getAllTours

    public static java.util.ArrayList<Tour> getAllTours()

Holt alle touren aus der DB

Returns:
  Alle touren als ArrayList

#### editTour

    public static boolean editTour​(java.lang.String oldname,
                                   Tour tour)
                            throws java.io.IOException

Bearbeitet eine Tour

Parameters:
  `oldname` - Alter Tourname
  `tour` - Neuer Tourname
Returns:
  false bei error
Throws:
  `java.io.IOException` - Fehler beim editieren der Tour

#### delTour

    public static boolean delTour​(java.lang.String tourname)

Löscht eine Tour

Parameters:
  `tourname` - Tourname
Returns:
  false bei error

#### addTour

    public static boolean addTour​(Tour newTour,
                                  ProgressBar progressBar)
                           throws java.io.IOException

Fügt eine Tour hinzu

Parameters:
  `newTour` - Neue Tour
  `progressBar` - Aktuelle Progressbar
Returns:
  false bei error
Throws:
  `java.io.IOException` - Fehler beim hinzufügen der Tour

#### getImage

    public static java.awt.Image getImage​(java.lang.String tourname)
                                   throws java.io.IOException

Holt das Gui Bild

Parameters:
  `tourname` - Name der Tour
Returns:
  Das Bild
Throws:
  `java.io.IOException` - Error beim Bild holen

#### getImagePath

    public static java.lang.String getImagePath​(java.lang.String tourname)

Path zu dem Bild für die GUI

Parameters:
  `tourname` - Name der Tour
Returns:
  Path zu dem Bild für die GUI

#### getImagePdfPath

    public static java.lang.String getImagePdfPath​(java.lang.String tourname)

Path zu dem Bild für die PDF

Parameters:
  `tourname` - Name der Tour
Returns:
  Path zu dem Bild für die PDF

#### openImage

    public static void openImage​(java.lang.String tourname)

Öffnet ein Bild einer Tour

Parameters:
  `tourname` - Tourname

#### getLogs

    public static java.util.ArrayList<Log> getLogs​(java.lang.String tourname)

Holt alle Logs einer Tour

Parameters:
  `tourname` - Tourname
Returns:
  Alle Logs der Tour

#### doReport

    public static void doReport​(java.lang.String tourname)

Führt einen Rport aus

Parameters:
  `tourname` - Name der Tour die gereportet wird

#### getTour

    public static Tour getTour​(java.lang.String tourname)

Holt eine Tour

Parameters:
  `tourname` - Name der zu holenden Tour
Returns:
  Tour die geholt werden soll

#### addLog

    public static boolean addLog​(java.lang.String tourname,
                                 Log log)

Fügt ein Log hinzu

Parameters:
  `tourname` - Name der Tour
  `log` - Neues Log
Returns:
  false bei error

#### delLog

    public static boolean delLog​(java.lang.String tourname,
                                 java.lang.String id)

Löscht ein Log

Parameters:
  `tourname` - Name der Tour
  `id` - Id des Logs
Returns:
  false bei error

#### editLog

    public static boolean editLog​(java.lang.String tourname,
                                  Log log)

Editiert ein Log

Parameters:
  `tourname` - Name der Tour
  `log` - Neues Log
Returns:
  false bei error

#### sucheTour

    public static java.util.ArrayList<Tour> sucheTour​(java.lang.String tourname)

Sucht alle touren die den gegebenen tournamen enthalten

Parameters:
  `tourname` - Name der zu suchen ist
Returns:
  Alle touren die auf den Suchterm passen